> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get query



## OpenAPI

````yaml get /query/{item}
openapi: 3.0.0
info:
  version: 0.1.0
  title: Guardian Intelligence API
servers:
  - url: https://threat-intel-api.abusix.com/beta/
    description: Abusix Guardian Intel API
security: []
paths:
  /query/{item}:
    get:
      tags:
        - query
      parameters:
        - schema:
            type: string
            description: IP to look up
            example: 1.1.1.1
          required: true
          description: IP to look up
          name: item
          in: path
      responses:
        '200':
          description: Query result
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 200
                  result:
                    oneOf:
                      - $ref: '#/components/schemas/IpQueryResultSchema'
                      - $ref: '#/components/schemas/IpBogonQueryResultSchema'
                      - $ref: '#/components/schemas/DomainFullQueryResultSchema'
                      - $ref: '#/components/schemas/UrlQueryResultSchema'
                      - $ref: '#/components/schemas/Sha1QueryResultSchema'
                      - $ref: '#/components/schemas/CryptoWalletResultSchema'
                      - $ref: '#/components/schemas/EmailResultSchema'
                    discriminator:
                      propertyName: type
                      mapping:
                        IP:
                          $ref: '#/components/schemas/IpQueryResultSchema'
                        IP_BOGON:
                          $ref: '#/components/schemas/IpBogonQueryResultSchema'
                        DOMAIN:
                          $ref: '#/components/schemas/DomainFullQueryResultSchema'
                        URL:
                          $ref: '#/components/schemas/UrlQueryResultSchema'
                        SHA1:
                          $ref: '#/components/schemas/Sha1QueryResultSchema'
                        CRYPTO_WALLET:
                          $ref: '#/components/schemas/CryptoWalletResultSchema'
                        EMAIL:
                          $ref: '#/components/schemas/EmailResultSchema'
                required:
                  - status
                  - statusCode
                  - result
        '400':
          description: Invalid item
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failure
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 400
                  errors:
                    type: object
                    properties:
                      $:
                        type: string
                    required:
                      - $
                required:
                  - status
                  - statusCode
                  - errors
        '503':
          description: Partial result due to service unavailability
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - partial_success
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 503
                  result:
                    oneOf:
                      - type: object
                        properties:
                          item:
                            type: string
                            description: normalized representation of requested item
                          abusixMailBlocklist:
                            type: string
                            nullable: true
                            enum:
                              - ACTIVE
                              - ALLOWLIST
                              - INFORMATIONAL
                              - NOT_LISTED
                              - PASSIVE
                          type:
                            type: string
                            enum:
                              - IP
                          bogon:
                            type: boolean
                            nullable: true
                            enum:
                              - false
                          tags:
                            type: array
                            nullable: true
                            items:
                              type: string
                          firstSeen:
                            type: string
                            nullable: true
                            format: date-time
                          lastSeen:
                            type: string
                            nullable: true
                            format: date-time
                          intent:
                            type: string
                            nullable: true
                            enum:
                              - malicious
                              - suspicious
                              - unknown
                              - none
                          reverseDns:
                            type: object
                            nullable: true
                            properties:
                              current:
                                type: array
                                nullable: true
                                items:
                                  type: object
                                  properties:
                                    entry:
                                      type: string
                                  required:
                                    - entry
                            required:
                              - current
                          abuseContact:
                            type: object
                            nullable: true
                            properties:
                              email:
                                type: string
                                nullable: true
                                format: email
                                description: May be null, if status is "UNKNOWN".
                                example: abuse@example.net
                              status:
                                type: string
                                enum:
                                  - UNKNOWN
                                  - INVALID
                                  - RESOLVE_FAILED
                                  - CONNECT_FAILED
                                  - RECIPIENT_FAILED
                                  - WORKING
                              lastVerification:
                                type: string
                                nullable: true
                                format: date-time
                            required:
                              - email
                              - status
                              - lastVerification
                          asn:
                            type: object
                            nullable: true
                            properties:
                              countryCode:
                                type: string
                                nullable: true
                                description: Two letter country code (ISO 3166-1 alpha-2)
                                example: US
                              asn:
                                type: string
                                nullable: true
                                example: AS1234
                              name:
                                type: string
                                nullable: true
                                example: ACME Corporation
                            required:
                              - countryCode
                              - asn
                              - name
                          observedActivity:
                            type: object
                            nullable: true
                            properties:
                              honeypotInteractions:
                                type: object
                                properties:
                                  firstSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  lastSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  observations:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        firstSeen:
                                          type: string
                                          format: date-time
                                        lastSeen:
                                          type: string
                                          format: date-time
                                        service:
                                          type: string
                                          example: ssh
                                        type:
                                          type: string
                                          example: login-attack
                                      required:
                                        - firstSeen
                                        - lastSeen
                                        - service
                                        - type
                                required:
                                  - firstSeen
                                  - lastSeen
                                  - observations
                              spamtrapInteractions:
                                type: object
                                properties:
                                  firstSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  lastSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  observations:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        firstSeen:
                                          type: string
                                          format: date-time
                                        lastSeen:
                                          type: string
                                          format: date-time
                                        type:
                                          type: string
                                          example: pristine-spamtrap
                                      required:
                                        - firstSeen
                                        - lastSeen
                                        - type
                                required:
                                  - firstSeen
                                  - lastSeen
                                  - observations
                            required:
                              - honeypotInteractions
                              - spamtrapInteractions
                        required:
                          - item
                          - abusixMailBlocklist
                          - type
                          - bogon
                          - tags
                          - firstSeen
                          - lastSeen
                          - intent
                          - reverseDns
                          - abuseContact
                          - asn
                          - observedActivity
                      - type: object
                        properties:
                          item:
                            type: string
                            description: normalized representation of requested item
                          abusixMailBlocklist:
                            type: string
                            nullable: true
                            enum:
                              - ACTIVE
                              - ALLOWLIST
                              - INFORMATIONAL
                              - NOT_LISTED
                              - PASSIVE
                          type:
                            type: string
                            enum:
                              - DOMAIN
                          tags:
                            type: array
                            nullable: true
                            items:
                              type: string
                          firstSeen:
                            type: string
                            nullable: true
                            format: date-time
                          lastSeen:
                            type: string
                            nullable: true
                            format: date-time
                          intent:
                            type: string
                            nullable: true
                            enum:
                              - malicious
                              - suspicious
                              - unknown
                              - none
                          observedActivity:
                            type: object
                            nullable: true
                            properties:
                              honeypotInteractions:
                                type: object
                                properties:
                                  firstSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  lastSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  observations:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        firstSeen:
                                          type: string
                                          format: date-time
                                        lastSeen:
                                          type: string
                                          format: date-time
                                        service:
                                          type: string
                                          example: ssh
                                        type:
                                          type: string
                                          example: login-attack
                                      required:
                                        - firstSeen
                                        - lastSeen
                                        - service
                                        - type
                                required:
                                  - firstSeen
                                  - lastSeen
                                  - observations
                              spamtrapInteractions:
                                type: object
                                properties:
                                  firstSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  lastSeen:
                                    type: string
                                    nullable: true
                                    format: date-time
                                  observations:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        firstSeen:
                                          type: string
                                          format: date-time
                                        lastSeen:
                                          type: string
                                          format: date-time
                                        type:
                                          type: string
                                          example: pristine-spamtrap
                                      required:
                                        - firstSeen
                                        - lastSeen
                                        - type
                                required:
                                  - firstSeen
                                  - lastSeen
                                  - observations
                            required:
                              - honeypotInteractions
                              - spamtrapInteractions
                        required:
                          - item
                          - abusixMailBlocklist
                          - type
                          - tags
                          - firstSeen
                          - lastSeen
                          - intent
                          - observedActivity
                      - type: object
                        properties:
                          item:
                            type: string
                            description: normalized representation of requested item
                          abusixMailBlocklist:
                            type: string
                            nullable: true
                            enum:
                              - ACTIVE
                              - ALLOWLIST
                              - INFORMATIONAL
                              - NOT_LISTED
                              - PASSIVE
                          type:
                            type: string
                            enum:
                              - URL
                        required:
                          - item
                          - abusixMailBlocklist
                          - type
                      - type: object
                        properties:
                          item:
                            type: string
                            description: normalized representation of requested item
                          abusixMailBlocklist:
                            type: string
                            nullable: true
                            enum:
                              - ACTIVE
                              - ALLOWLIST
                              - INFORMATIONAL
                              - NOT_LISTED
                              - PASSIVE
                          type:
                            type: string
                            enum:
                              - SHA1
                        required:
                          - item
                          - abusixMailBlocklist
                          - type
                      - type: object
                        properties:
                          item:
                            type: string
                            description: normalized representation of requested item
                          abusixMailBlocklist:
                            type: string
                            nullable: true
                            enum:
                              - ACTIVE
                              - ALLOWLIST
                              - INFORMATIONAL
                              - NOT_LISTED
                              - PASSIVE
                          type:
                            type: string
                            enum:
                              - CRYPTO_WALLET
                        required:
                          - item
                          - abusixMailBlocklist
                          - type
                      - type: object
                        properties:
                          item:
                            type: string
                            description: normalized representation of requested item
                          abusixMailBlocklist:
                            type: string
                            nullable: true
                            enum:
                              - ACTIVE
                              - ALLOWLIST
                              - INFORMATIONAL
                              - NOT_LISTED
                              - PASSIVE
                          type:
                            type: string
                            enum:
                              - EMAIL
                        required:
                          - item
                          - abusixMailBlocklist
                          - type
                  errors:
                    type: object
                    properties: {}
                required:
                  - status
                  - statusCode
                  - result
                  - errors
components:
  schemas:
    IpQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - IP
        bogon:
          type: boolean
          enum:
            - false
        tags:
          type: array
          items:
            type: string
        firstSeen:
          type: string
          nullable: true
          format: date-time
        lastSeen:
          type: string
          nullable: true
          format: date-time
        intent:
          type: string
          nullable: true
          enum:
            - malicious
            - suspicious
            - unknown
            - none
        reverseDns:
          type: object
          properties:
            current:
              type: array
              nullable: true
              items:
                type: object
                properties:
                  entry:
                    type: string
                required:
                  - entry
          required:
            - current
        abuseContact:
          type: object
          properties:
            email:
              type: string
              nullable: true
              format: email
              description: May be null, if status is "UNKNOWN".
              example: abuse@example.net
            status:
              type: string
              enum:
                - UNKNOWN
                - INVALID
                - RESOLVE_FAILED
                - CONNECT_FAILED
                - RECIPIENT_FAILED
                - WORKING
            lastVerification:
              type: string
              nullable: true
              format: date-time
          required:
            - email
            - status
            - lastVerification
        asn:
          type: object
          properties:
            countryCode:
              type: string
              nullable: true
              description: Two letter country code (ISO 3166-1 alpha-2)
              example: US
            asn:
              type: string
              nullable: true
              example: AS1234
            name:
              type: string
              nullable: true
              example: ACME Corporation
          required:
            - countryCode
            - asn
            - name
        observedActivity:
          type: object
          properties:
            honeypotInteractions:
              type: object
              properties:
                firstSeen:
                  type: string
                  nullable: true
                  format: date-time
                lastSeen:
                  type: string
                  nullable: true
                  format: date-time
                observations:
                  type: array
                  items:
                    type: object
                    properties:
                      firstSeen:
                        type: string
                        format: date-time
                      lastSeen:
                        type: string
                        format: date-time
                      service:
                        type: string
                        example: ssh
                      type:
                        type: string
                        example: login-attack
                    required:
                      - firstSeen
                      - lastSeen
                      - service
                      - type
              required:
                - firstSeen
                - lastSeen
                - observations
            spamtrapInteractions:
              type: object
              properties:
                firstSeen:
                  type: string
                  nullable: true
                  format: date-time
                lastSeen:
                  type: string
                  nullable: true
                  format: date-time
                observations:
                  type: array
                  items:
                    type: object
                    properties:
                      firstSeen:
                        type: string
                        format: date-time
                      lastSeen:
                        type: string
                        format: date-time
                      type:
                        type: string
                        example: pristine-spamtrap
                    required:
                      - firstSeen
                      - lastSeen
                      - type
              required:
                - firstSeen
                - lastSeen
                - observations
          required:
            - honeypotInteractions
            - spamtrapInteractions
      required:
        - item
        - abusixMailBlocklist
        - type
        - bogon
        - tags
        - firstSeen
        - lastSeen
        - intent
        - reverseDns
        - abuseContact
        - asn
        - observedActivity
    IpBogonQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        type:
          type: string
          enum:
            - IP_BOGON
        bogon:
          type: boolean
          enum:
            - true
      required:
        - item
        - type
        - bogon
    DomainFullQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - DOMAIN
        tags:
          type: array
          items:
            type: string
        firstSeen:
          type: string
          nullable: true
          format: date-time
        lastSeen:
          type: string
          nullable: true
          format: date-time
        intent:
          type: string
          nullable: true
          enum:
            - malicious
            - suspicious
            - unknown
            - none
        observedActivity:
          type: object
          nullable: true
          properties:
            honeypotInteractions:
              type: object
              properties:
                firstSeen:
                  type: string
                  nullable: true
                  format: date-time
                lastSeen:
                  type: string
                  nullable: true
                  format: date-time
                observations:
                  type: array
                  items:
                    type: object
                    properties:
                      firstSeen:
                        type: string
                        format: date-time
                      lastSeen:
                        type: string
                        format: date-time
                      service:
                        type: string
                        example: ssh
                      type:
                        type: string
                        example: login-attack
                    required:
                      - firstSeen
                      - lastSeen
                      - service
                      - type
              required:
                - firstSeen
                - lastSeen
                - observations
            spamtrapInteractions:
              type: object
              properties:
                firstSeen:
                  type: string
                  nullable: true
                  format: date-time
                lastSeen:
                  type: string
                  nullable: true
                  format: date-time
                observations:
                  type: array
                  items:
                    type: object
                    properties:
                      firstSeen:
                        type: string
                        format: date-time
                      lastSeen:
                        type: string
                        format: date-time
                      type:
                        type: string
                        example: pristine-spamtrap
                    required:
                      - firstSeen
                      - lastSeen
                      - type
              required:
                - firstSeen
                - lastSeen
                - observations
          required:
            - honeypotInteractions
            - spamtrapInteractions
      required:
        - item
        - abusixMailBlocklist
        - type
        - tags
        - firstSeen
        - lastSeen
        - intent
        - observedActivity
    UrlQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - URL
      required:
        - item
        - abusixMailBlocklist
        - type
    Sha1QueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - SHA1
      required:
        - item
        - abusixMailBlocklist
        - type
    CryptoWalletResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - CRYPTO_WALLET
      required:
        - item
        - abusixMailBlocklist
        - type
    EmailResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - EMAIL
      required:
        - item
        - abusixMailBlocklist
        - type

````